import { EventEmitter, OnInit } from '@angular/core';
import { MatButton } from '@angular/material/button';
import { IconModel } from './models/qms-app-bar.model';
export declare class QmsAppBarComponent implements OnInit {
    menu: MatButton;
    isNomalType: boolean;
    leftFirstIcon: string;
    title: string;
    cancelTitle: string;
    confirmTitle: string;
    disabledConfirmAction: boolean;
    onClickLeftFirstIconEvent: EventEmitter<any>;
    onCancelEvent: EventEmitter<any>;
    onConfirmEvent: EventEmitter<any>;
    hideMenuDropdown: boolean;
    logoSvgPath: string;
    imgSvgPath: string;
    isImgSvgTransparent: boolean;
    rightIcons: IconModel[];
    notifications: number;
    onMenuClickedEvent: EventEmitter<any>;
    onRightIconClickedEvent: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    onCancel(): void;
    onClickLeftFirstIcon(): void;
    onConfirm(): void;
    onMenuClicked(): void;
    onRightIconClicked(icon: string): void;
}
